Subject: Re: [Cfrg] OCB test vectors reusing nonces

From: Peter Dettman <[email-masked]>
Date: Sun, 02 Feb 2014 12:55:10 +0700

I have now verified the new test vectors from draft-irtf-cfrg-ocb-06 
with the BouncyCastle implementation(s).

Pete.

> James,
>
> I've updated the OCB draft to include all your changes in the test vector section and have verified the results. Thank you very much for the suggestions and hard work implementing them.
>
> The one suggestion I did not include was N = N + 1 in the final vector algorithm. I felt that that might suggest an implementation as a simple counter, which can easily cause mistakes (either because of endian issues or the fact that the counter exceeds a byte), so I just kept it specified using num2str.
>
> Thanks Matt Caswell, too, for verifying the vectors. With three independent implementations all agreeing, I have pretty good confidence in their correctness.
>
> -Ted
>